<div class="center">
  <h1>Bank Card Information</h1>
  <form [formGroup]="bankCardForm" (ngSubmit)="onSave()">
    <div>
      <mat-form-field appearance="legacy">
        <mat-label>Enter card number</mat-label>
        <input type="text" matInput formControlName="cardNumber">
        <mat-error *ngIf="getBankCardControlByName('cardNumber').hasError('required')">Please enter card number</mat-error>
        <mat-error *ngIf="getBankCardControlByName('cardNumber').hasError('pattern')">Card number must contain 16 digits</mat-error>
      </mat-form-field>
    </div>
    <div>
      <mat-form-field appearance="legacy">
        <mat-label>Enter holder name</mat-label>
        <input type="text" matInput formControlName="holderName">
        <mat-error *ngIf="getBankCardControlByName('holderName').hasError('required')">Please enter holder name</mat-error>
      </mat-form-field>
    </div>
    <div>
      <mat-form-field appearance="legacy">
        <mat-label>Enter expiry date</mat-label>
        <input type="text" matInput formControlName="expiryDate">
        <mat-error *ngIf="getBankCardControlByName('expiryDate').hasError('required')">Please enter expiry date</mat-error>
      </mat-form-field>
    </div>
    <div>
      <mat-form-field appearance="legacy">
        <mat-label>Enter issuing bank</mat-label>
        <input type="text" matInput formControlName="issuingBank">
        <mat-error *ngIf="getBankCardControlByName('issuingBank').hasError('required')">Please enter issuing bank</mat-error>
      </mat-form-field>
    </div>
    <div>
      <mat-form-field appearance="legacy">
        <mat-label>Enter cvv</mat-label>
        <input type="text" matInput formControlName="cvv">
        <mat-error *ngIf="getBankCardControlByName('cvv').hasError('required')">Please enter cvv</mat-error>
        <mat-error *ngIf="getBankCardControlByName('cvv').hasError('pattern')">Cvv must contain 3 digits</mat-error>
      </mat-form-field>
    </div>
    <div>
      <mat-form-field appearance="legacy">
        <mat-label>Enter pin</mat-label>
        <input type="text" matInput formControlName="pin">
        <mat-error *ngIf="getBankCardControlByName('pin').hasError('required')">Please enter pin</mat-error>
        <mat-error *ngIf="getBankCardControlByName('pin').hasError('pattern')">Pin must contain 4 digits</mat-error>
      </mat-form-field>
    </div>

    <h1>Bank Account Information</h1>
    <div formGroupName = "bankAccount">
      <div>
        <mat-form-field appearance="legacy">
          <mat-label>Enter iban</mat-label>
          <input type="text" matInput formControlName="iban">
          <mat-error *ngIf="getBankAccountControlByName('iban').hasError('required')">Please enter iban</mat-error>
        </mat-form-field>
      </div>
      <div>
        <mat-form-field appearance="legacy">
          <mat-label>Enter holder name</mat-label>
          <input type="text" matInput formControlName="holderName">
          <mat-error *ngIf="getBankAccountControlByName('holderName').hasError('required')">Please enter holder name</mat-error>
        </mat-form-field>
      </div>
      <div>
        <mat-form-field appearance="legacy">
          <mat-label>Enter balance</mat-label>
          <input type="number" matInput formControlName="balance">
          <mat-error *ngIf="getBankAccountControlByName('balance').hasError('required')">Please enter balance</mat-error>
          <mat-error *ngIf="getBankAccountControlByName('balance').hasError('pattern')">The balance must be minimum 0</mat-error>
        </mat-form-field>
      </div>
    </div>

    <div>
      <hr class="hr">
      <button
        mat-raised-button
        type="submit"
        [disabled]="!bankCardForm.valid">Save</button>
    </div>
  </form>
</div>
